## sd-mux-ctrl 0.0.3

=== CMakeLists.txt ===
# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#        http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
# @file        CMakeLists.txt
# @author      Adam Malinowski <a.malinowsk2@partner.samsung.com>
#

############################# Check minimum CMake version #####################

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.3)
PROJECT("sd-mux-ctrl")
set(SDMUXCTRL_VERSION 0.0.1)

############################# cmake packages ##################################

INCLUDE(FindPkgConfig)
INCLUDE(CheckCXXCompilerFlag)

#############################  install dirs  ##################################

SET(BIN_INSTALL_DIR
    "${CMAKE_INSTALL_PREFIX}/bin"
    CACHE PATH
    "Binary installation directory")

############################# compiler flags ##################################

SET(CMAKE_CXX_FLAGS_PROFILING  "-O0 -g -pg")
SET(CMAKE_CXX_FLAGS_DEBUG      "-O0 -g -ggdb")
SET(CMAKE_CXX_FLAGS_RELEASE    "-O2 -g")
SET(CMAKE_CXX_FLAGS_CCOV       "-O2 -g --coverage")

# Check for C++11 support and enable proper compilation flags
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
IF(COMPILER_SUPPORTS_CXX11)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
ELSEIF(COMPILER_SUPPORTS_CXX0X)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
ELSE()
    MESSAGE(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
ENDIF()

# Set compiler warning flags
ADD_DEFINITIONS("-Werror")                      # Make all warnings into errors.
ADD_DEFINITIONS("-Wall")                        # Generate all warnings
ADD_DEFINITIONS("-Wextra")                      # Generate even more extra warnings

# Don't export symbols by default
ADD_DEFINITIONS("-fvisibility=hidden")


IF (CMAKE_BUILD_TYPE MATCHES "DEBUG")
    ADD_DEFINITIONS("-DBUILD_TYPE_DEBUG")
ENDIF (CMAKE_BUILD_TYPE MATCHES "DEBUG")

SET(TARGET_SDMUXCTRL "sd-mux-ctrl")

ADD_SUBDIRECTORY(src)

=== debian/changelog ===
sd-mux-ctrl (0.0.3-3) unstable; urgency=medium

  * Improve postinst script and depend upon addgroup.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Sep 2023 16:27:11 -0300

sd-mux-ctrl (0.0.3-2) unstable; urgency=medium

  * Source only upload after NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Sep 2023 16:12:32 -0300

sd-mux-ctrl (0.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1051944).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Sep 2023 12:42:11 -0300

=== debian/control ===
Source: sd-mux-ctrl
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Section: utils
Priority: optional
Build-Depends: bash-completion,
               cmake,
               debhelper-compat (= 13),
               libftdi1-dev (>= 1.4),
               libpopt-dev,
               pkg-config,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/perezmeyer/sd-mux-ctrl
Vcs-Browser: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl
Vcs-Git: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl.git

Package: sd-mux-ctrl
Architecture: any
Depends: adduser,
         libftdi1-2 (>=1.4),
         libpopt0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tool for controlling multiple sd-mux devices
 sd-mux stands for Secure Digital Multiplexer. This is SD card switcher
 (multiplexer) designed to help automatic testing.
 .
 The software is designed to work with Tizen's SD MUX [0], but it is also
 compatible with SDWire [1], which is now recommended over the former.
 .
 [0] <https://wiki.tizen.org/SD_MUX>
 [1] <https://wiki.tizen.org/SDWire>
 .
 This tool allows one to:
  - Connect SD card to DUT (Device Under Test) or to TS (Test Server)
  - Connect one USB port to DUT or TS
  - Power off or on DUT
  - Reset DUT through power disconnecting and reconnecting

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@$1%" \
    https://gitlab.com/perezmeyer/sd-mux-ctrl/-/tags \
    archive/v?@ANY_VERSION@/sd-mux-ctrl-v?\d\S*@ARCHIVE_EXT@

## sd-mux-ctrl 0.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 ############################# Check minimum CMake version #####################
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.3)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.31)
 PROJECT("sd-mux-ctrl")
 set(SDMUXCTRL_VERSION 0.0.1)

=== src/CMakeLists.txt ===
# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#        http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
# @file        src/CMakeLists.txt
# @author      Adam Malinowski <a.malinowsk2@partner.samsung.com>
#

FIND_PACKAGE(PkgConfig)

PKG_CHECK_MODULES(SDMUX_DEP
    REQUIRED
    libftdi1>=1.4
    popt
    )

SET(SDMUXCTRL_PATH
    ${PROJECT_SOURCE_DIR}/src
    )

SET(SDMUXCTRL_SOURCES
    ${SDMUXCTRL_PATH}/main.cpp
    )

INCLUDE_DIRECTORIES(
    ${SDMUXCTRL_PATH}
    ${FTD2XX_PATH}
    )

ADD_EXECUTABLE(${TARGET_SDMUXCTRL} ${SDMUXCTRL_SOURCES})

TARGET_LINK_LIBRARIES(${TARGET_SDMUXCTRL}
    ${SDMUX_DEP_LIBRARIES}
    )

INSTALL(TARGETS ${TARGET_SDMUXCTRL} DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
sd-mux-ctrl (0.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CMake Minimum version (Closes: #1113490).
  * Replace obsolete build dependency on pkg-config to pkgconf.
  * Update debian/watch to version 5.
  * Update Standards-Version, no changes required.
  * Remove Rules-Requires-Root: no, this is now redundant.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 29 Sep 2025 14:48:05 -0300

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
                debhelper-compat (= 13),
                libftdi1-dev (>= 1.4),
                libpopt-dev,
-               pkg-config,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+               pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/perezmeyer/sd-mux-ctrl
 Vcs-Browser: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl
 Vcs-Git: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with bash-completion

override_dh_installman:
	dh_installman --sourcedir=.

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/perezmeyer/sd-mux-ctrl/
